## apk-tools-v2.12.4.tar.gz

=== Makefile ===
##
# Building apk-tools

-include config.mk

PACKAGE := apk-tools
VERSION := 2.12.4

export VERSION

##
# Default directories

DESTDIR		:=
SBINDIR		:= /sbin
LIBDIR		:= /lib
CONFDIR		:= /etc/apk
MANDIR		:= /usr/share/man
DOCDIR		:= /usr/share/doc/apk
INCLUDEDIR	:= /usr/include
PKGCONFIGDIR	:= /usr/lib/pkgconfig

export DESTDIR SBINDIR LIBDIR CONFDIR MANDIR DOCDIR INCLUDEDIR PKGCONFIGDIR

##
# Top-level subdirs

subdirs		:= libfetch/ src/ doc/

##
# Include all rules and stuff

include Make.rules

##
# Top-level targets

install:
	$(INSTALLDIR) $(DESTDIR)$(DOCDIR)
	$(INSTALL) README.md $(DESTDIR)$(DOCDIR)

check test: FORCE src/
	$(Q)$(MAKE) TEST=y
	$(Q)$(MAKE) -C test

static:
	$(Q)$(MAKE) STATIC=y

tag: check
	git commit . -m "apk-tools-$(VERSION)"
	git tag -s v$(VERSION) -m "apk-tools-$(VERSION)"

src/: libfetch/

=== doc/Makefile ===
scdocs-y += \
	apk-cache.5 \
	apk-keys.5 \
	apk-repositories.5 \
	apk-world.5 \
	apk.8 \
	apk-add.8 \
	apk-audit.8 \
	apk-cache.8 \
	apk-del.8 \
	apk-dot.8 \
	apk-fetch.8 \
	apk-fix.8 \
	apk-index.8 \
	apk-info.8 \
	apk-list.8 \
	apk-manifest.8 \
	apk-policy.8 \
	apk-stats.8 \
	apk-update.8 \
	apk-upgrade.8 \
	apk-verify.8 \
	apk-version.8

install:
	for page in $(scdocs-y); do \
		section=$${page#*.}; \
		$(INSTALLDIR) $(DESTDIR)$(MANDIR)/man$$section; \
		$(INSTALL) $(obj)/$$page $(DESTDIR)$(MANDIR)/man$$section/; \
	done

=== libfetch/Makefile ===
libs-y			+= libfetch.a
libfetch.a-objs		:= common.o fetch.o file.o ftp.o http.o openssl-compat.o
generate-y		+= ftperr.h httperr.h
CFLAGS_common.o		+= -DCA_CERT_FILE=\"$(CONFDIR)/ca.pem\" -DCA_CRL_FILE=\"$(CONFDIR)/crl.pem\"
CFLAGS_common.o		+= -DCLIENT_CERT_FILE=\"$(CONFDIR)/cert.pem\" -DCLIENT_KEY_FILE=\"$(CONFDIR)/cert.key\"

quiet_cmd_generr = GENERR  $@
      cmd_generr = $(src)/errlist.sh $(basename $(<F))_errlist $(shell echo $(basename $(<F)) | tr a-z A-Z) $< > $@

$(obj)/%err.h: $(src)/%.errors
	@$(call echo-cmd,generr) $(cmd_generr)

=== test/repo1/test-a/APKBUILD ===
# Contributor: 
# Maintainer: 
pkgname=test-a
pkgver=1.0
pkgrel=0
pkgdesc="Package A for apk-tools testsuite"
url="http://alpinelinux.org"
arch="noarch"
license="GPL"
depends=
makedepends=
install=
subpackages=
source=""
builddir="$srcdir/$pkgname-$pkgver"

# append extra dependencies to -dev subpackage
# remove if not used.
# depends_dev="somepackage-dev"

prepare() {
	mkdir -p "$builddir"
}

build() {
	cd "$builddir"
	cat > $pkgname <<-EOF
		#!/bin/sh
		echo "hello from $pkgname-$pkgver"
	EOF
}

package() {
	cd "$builddir"
	install -Dm755 $pkgname "$pkgdir"/usr/bin/$pkgname
}

sha512sums="" #generate with 'abuild checksum'

=== test/repo1/test-b/APKBUILD ===
# Contributor: 
# Maintainer: 
pkgname=test-b
pkgver=1.0
pkgrel=0
pkgdesc="Package A for apk-tools testsuite"
url="http://alpinelinux.org"
arch="noarch"
license="GPL"
depends=test-a
makedepends=
install=
subpackages=
source=""
builddir="$srcdir/$pkgname-$pkgver"

# append extra dependencies to -dev subpackage
# remove if not used.
# depends_dev="somepackage-dev"

prepare() {
	mkdir -p "$builddir"
}

build() {
	cd "$builddir"
	cat > $pkgname <<-EOF
		#!/bin/sh
		echo "hello from $pkgname-$pkgver"
	EOF
}

package() {
	cd "$builddir"
	install -Dm755 $pkgname "$pkgdir"/usr/bin/$pkgname
}

sha512sums="" #generate with 'abuild checksum'

=== test/repo1/test-d/APKBUILD ===
# Contributor: 
# Maintainer: 
pkgname=test-d
pkgver=1.0
pkgrel=0
pkgdesc="Package D for apk-tools testsuite - post-install"
url="http://alpinelinux.org"
arch="noarch"
license="GPL"
depends=
makedepends=
install="$pkgname.post-install"
subpackages=
source=""
builddir="$srcdir/$pkgname-$pkgver"

# append extra dependencies to -dev subpackage
# remove if not used.
# depends_dev="somepackage-dev"

prepare() {
	mkdir -p "$builddir"
}

build() {
	cd "$builddir"
	cat > $pkgname <<-EOF
		#!/bin/sh
		echo "hello from $pkgname-$pkgver"
	EOF
}

package() {
	cd "$builddir"
	install -Dm755 $pkgname "$pkgdir"/usr/bin/$pkgname
}

sha512sums="" #generate with 'abuild checksum'
